> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/monitoring/extranet/log-details

> Returns connectivity logs for service monitoring. Includes timestamps for when connectivity from an edge/gateway to a Server IP address was lost or regained.

## OpenAPI

````json POST /v2/monitoring/extranet/log-details
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/monitoring/extranet/log-details": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v2MonitoringExtranetLogDetailsPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2MonitoringExtranetLogDetailsPostResponse"
                }
              }
            }
          }
        },
        "description": "Returns connectivity logs for service monitoring. Includes timestamps for when connectivity from an edge/gateway to a Server IP address was lost or regained."
      }
    }
  },
  "components": {
    "schemas": {
      "v2MonitoringExtranetLogDetailsPostRequest": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1,
            "description": "the id associated with an entity - consumer_id for consumer, and service_id for the producer/service (required)"
          },
          "isB2B": {
            "type": "boolean",
            "example": true,
            "description": "whether the entity is a b2b entity (true for b2b entity, false for local extranet entity) (required)"
          },
          "isProvider": {
            "type": "boolean",
            "example": true,
            "description": "whether the entity is a provider or consumer (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "id",
          "isB2B",
          "isProvider"
        ]
      },
      "v2MonitoringExtranetLogDetailsPostResponse": {
        "type": "object",
        "properties": {
          "logs": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v2MonitoringExtranetLogDetailsPostResponseLogDetails"
            }
          }
        },
        "additionalProperties": false
      },
      "v2MonitoringExtranetLogDetailsPostResponseLogDetails": {
        "type": "object",
        "properties": {
          "hostname": {
            "type": "string",
            "example": "hostname1",
            "description": "the hostname of the log"
          },
          "reason": {
            "type": "string",
            "example": "Reason 1",
            "description": "the reason for the log"
          },
          "serverAddress": {
            "type": "string",
            "example": "192.168.1.1",
            "description": "the address of the server"
          },
          "siteName": {
            "type": "string",
            "example": "site1",
            "description": "the name of the site"
          },
          "ts": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

